xfstests: remove stale machine configs
[xfstests-dev.git] / 014
1 #! /bin/bash
2 # FS QA Test No. 014
3 #
4 # truncfile
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 echo "QA output created by $seq"
27
28 here=`pwd`
29 tmp=/tmp/$$
30 status=0        # success is the default!
31 trap "_cleanup; exit \$status" 0 1 2 3 15
32
33 _cleanup()
34 {
35     cd /
36     rm -f $tmp.*
37     rm -rf $testdir/truncfile.$$.*
38     _cleanup_testdir
39 }
40
41 # get standard environment, filters and checks
42 . ./common.rc
43 . ./common.filter
44
45 _supported_fs generic
46 _supported_os IRIX Linux
47
48 _require_sparse_files
49 _setup_testdir
50
51 # ensure EOF preallocation doesn't massively extend the runtime of this test
52 # by limiting the amount of preallocation and therefore the amount of blocks
53 # zeroed during the truncfile test run.
54 if [ "$FSTYP" == "xfs" ]; then
55         umount $TEST_DIR
56         _test_mount -o allocsize=64k
57 fi
58
59 echo "brevity is wit..."
60
61 echo "------"
62 echo "test 1"
63 echo "------"
64 if ! src/truncfile -c 10000 $testdir/truncfile.$$.0 >$tmp.out 2>&1
65 then
66     out=`cat $tmp.out`
67     echo "truncfile returned $? : \"$out\""
68 else
69     echo "OK"
70 fi
71
72 exit